Package org.apache.wiki.htmltowiki

## Class WhitespaceTrimWriter

- java.lang.Object
- - java.io.Writer
  - - org.apache.wiki.htmltowiki.WhitespaceTrimWriter

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.Appendable`, `java.lang.AutoCloseable`

    public class WhitespaceTrimWriter
    extends java.io.Writer

Part of the XHtmlToWikiTranslator.

### Field Summary

Fields
`static java.lang.String` `NO_TRIMMED_SPACE`

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
`WhitespaceTrimWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`boolean` `isCurrentlyOnLineBegin()` Returns true, if the writer is currently writing a line start.
`boolean` `isWhitespaceTrimMode()` Returns true, if this Writer is currently trimming any whitespaces.
`void` `setWhitespaceTrimMode​(boolean trimMode)` Set the trimming mode on/off.
`java.lang.String` `toString()`
`void` `write​(char[] arg0, int arg1, int arg2)`

### Methods inherited from class java.io.Writer

`append, append, append, nullWriter, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NO_TRIMMED_SPACE

    public static final java.lang.String NO_TRIMMED_SPACE

See Also:
  Constant Field Values

### Constructor Detail

#### WhitespaceTrimWriter

    public WhitespaceTrimWriter()

### Method Detail

#### flush

    public void flush()

Specified by:
  `flush` in interface `java.io.Flushable`
Specified by:
  `flush` in class `java.io.Writer`

#### isWhitespaceTrimMode

    public boolean isWhitespaceTrimMode()

Returns true, if this Writer is currently trimming any whitespaces.

Returns:
  True, if trimming.

#### setWhitespaceTrimMode

    public void setWhitespaceTrimMode​(boolean trimMode)

Set the trimming mode on/off.

Parameters:
  `trimMode` - True, if you want trimming to be turned on. False otherwise.

#### write

    public void write​(char[] arg0,
                      int arg1,
                      int arg2)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isCurrentlyOnLineBegin

    public boolean isCurrentlyOnLineBegin()

Returns true, if the writer is currently writing a line start.

Returns:
  True or false.